import { ref, onMounted } from 'vue'

const themeNames = Object.keys(themes)

export const useTheme = () => {
  const theme = ref('catppuccin-mocha')

  onMounted(() => {
    const storedTheme = localStorage.getItem('theme')
    if (storedTheme) {
      theme.value = storedTheme
      document.body.classList.remove(...themeNames)
      document.body.classList.add(storedTheme)
    }
  })

  const setTheme = (newTheme: string) => {
    theme.value = newTheme
    document.body.classList.remove(...themeNames)
    document.body.classList.add(newTheme)
    localStorage.setItem('theme', newTheme)
  }

  return {
    theme,
    setTheme,
  }
}
